summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCiaran McCreesh <ciaranm@gentoo.org>2005-11-17 17:32:25 +0000
committerCiaran McCreesh <ciaranm@gentoo.org>2005-11-17 17:32:25 +0000
commit7f4c37b9f0f826a3a3cd906c6f81fdf901cc737f (patch)
tree93f96a2b206609b9bc6495c374d8a9843fac77b6 /eclass/vim.eclass
parentVersion bump. (diff)
downloadhistorical-7f4c37b9f0f826a3a3cd906c6f81fdf901cc737f.tar.gz
historical-7f4c37b9f0f826a3a3cd906c6f81fdf901cc737f.tar.bz2
historical-7f4c37b9f0f826a3a3cd906c6f81fdf901cc737f.zip
allow modular x deps, bug #111979
Diffstat (limited to 'eclass/vim.eclass')
-rw-r--r--eclass/vim.eclass9
1 files changed, 6 insertions, 3 deletions
diff --git a/eclass/vim.eclass b/eclass/vim.eclass
index c94923b513aa..9b0ae15c7e2e 100644
--- a/eclass/vim.eclass
+++ b/eclass/vim.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/vim.eclass,v 1.125 2005/10/20 16:57:57 ciaranm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/vim.eclass,v 1.126 2005/11/17 17:32:25 ciaranm Exp $
# Authors:
# Ryan Phillips <rphillips@gentoo.org>
@@ -85,8 +85,11 @@ else
if [[ "${MY_PN}" == "vim" ]] ; then
IUSE="${IUSE} vim-with-x minimal"
- DEPEND="${DEPEND} vim-with-x? ( virtual/x11 )"
- RDEPEND="${RDEPEND} vim-with-x? ( virtual/x11 )"
+ # see bug #111979 for modular X deps
+ DEPEND="${DEPEND} vim-with-x? ( || (
+ ( x11-libs/libXt x11-libs/libX11 x11-libs/libSM x11-proto/xproto )
+ virtual/x11 ) )"
+ RDEPEND="${RDEPEND} vim-with-x? ( || ( x11-libs/libXt virtual/x11 ) )"
elif [[ "${MY_PN}" == "gvim" ]] ; then
if version_is_at_least "6.3.086" ; then
IUSE="${IUSE} gnome gtk motif"